<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 21</title>
	<style type="text/css">
	main{
		display: flex;
		flex-direction: column;
		justify-content: center;
		font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
		font-weight: bold;
		font-size: small;
		margin-top: 80px;
		margin-left: 30px;
	}

	input{
		width: 240px;
		height: 60px;
		background-color: silver;
		border-radius: 5px;
		border: 0;
		padding-left: 16px;
		margin: 0px 10px;
	}

	button{
		width: 140px;
		height: 50px;
		line-height: 50px;
		background-color: olive;
		border-radius: 5px;
		border: 0;
		text-align: center;
		margin: 15px 15px 15px 15px;
		color: white;
	}

	</style>
	<script type="text/javascript">
	//crear una función que recibe como argumento dos números y una operación a realizar con ellos.
	//suma, producto, resta
	//el resultado de la operación es lo que devuelve la función
	window.addEventListener("load",function(e){

		document.querySelector("#sumar").addEventListener("click",function(e){

			let num1 = Number(document.querySelector("#numero1").value);
			let num2 = Number(document.querySelector("#numero2").value);
			let suma = num1+num2;

			document.querySelector("#resultado").value = suma;

		});

		document.querySelector("#multiplicar").addEventListener("click",function(e){

			let num1 = Number(document.querySelector("#numero1").value);
			let num2 = Number(document.querySelector("#numero2").value);
			let producto = num1*num2;

			document.querySelector("#resultado").value = producto;

		});

		document.querySelector("#restar").addEventListener("click",function(e){

			let num1 = Number(document.querySelector("#numero1").value);
			let num2 = Number(document.querySelector("#numero2").value);
			let resta = num1-num2;

			document.querySelector("#resultado").value = resta;

		});

	});


	</script>
</head>
<body>
	<main>
		<div>
			<input id="numero1" type="text" name="numero1" placeholder="Introduce un numero">
			<input id="numero2" type="text" name="numero2" placeholder="Introduce un numero">
		</div>
		<div>
			<button id="sumar" type="submit">Suma</button>
			<button id="multiplicar" type="submit">Producto</button>
			<button id="restar" type="submit">Resta</button>
		</div>	
			<input id="resultado" type="text" name="resultado" placeholder="Resultado">
	</main>
</body>
</html>